Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfBibliographyType

    java.lang.Object
      java.lang.Enum<OdfBibliographyType>
          org.odftoolkit.odfdom.dom.type.text.OdfBibliographyType

All Implemented Interfaces:
  Serializable, Comparable<OdfBibliographyType>

    public enum OdfBibliographyType

extends Enum<OdfBibliographyType>

DOM implementation of OpenDocument attribute text:bibliography-type.

Enum Constant Summary
`ARTICLE`
`BOOK`
`BOOKLET`
`CONFERENCE`
`CUSTOM1`
`CUSTOM2`
`CUSTOM3`
`CUSTOM4`
`CUSTOM5`
`EMAIL`
`INBOOK`
`INCOLLECTION`
`INPROCEEDINGS`
`JOURNAL`
`MANUAL`
`MASTERSTHESIS`
`MISC`
`PHDTHESIS`
`PROCEEDINGS`
`TECHREPORT`
`UNPUBLISHED`
`WWW`

Method Summary
`static OdfBibliographyType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfBibliographyType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfBibliographyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfBibliographyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PHDTHESIS

    public static final OdfBibliographyType PHDTHESIS

### CONFERENCE

    public static final OdfBibliographyType CONFERENCE

### INPROCEEDINGS

    public static final OdfBibliographyType INPROCEEDINGS

### PROCEEDINGS

    public static final OdfBibliographyType PROCEEDINGS

### BOOK

    public static final OdfBibliographyType BOOK

### INCOLLECTION

    public static final OdfBibliographyType INCOLLECTION

### EMAIL

    public static final OdfBibliographyType EMAIL

### ARTICLE

    public static final OdfBibliographyType ARTICLE

### BOOKLET

    public static final OdfBibliographyType BOOKLET

### MANUAL

    public static final OdfBibliographyType MANUAL

### JOURNAL

    public static final OdfBibliographyType JOURNAL

### MISC

    public static final OdfBibliographyType MISC

### MASTERSTHESIS

    public static final OdfBibliographyType MASTERSTHESIS

### WWW

    public static final OdfBibliographyType WWW

### UNPUBLISHED

    public static final OdfBibliographyType UNPUBLISHED

### CUSTOM5

    public static final OdfBibliographyType CUSTOM5

### CUSTOM4

    public static final OdfBibliographyType CUSTOM4

### INBOOK

    public static final OdfBibliographyType INBOOK

### TECHREPORT

    public static final OdfBibliographyType TECHREPORT

### CUSTOM3

    public static final OdfBibliographyType CUSTOM3

### CUSTOM2

    public static final OdfBibliographyType CUSTOM2

### CUSTOM1

    public static final OdfBibliographyType CUSTOM1

Method Detail

### values

    public static OdfBibliographyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfBibliographyType c : OdfBibliographyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfBibliographyType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfBibliographyType>`
  Returns:
    return the name of OdfBibliographyType

### toString

    public static String toString(OdfBibliographyType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfBibliographyType, see text:bibliography-type
  Returns:
    return the name of OdfBibliographyType

### enumValueOf

    public static OdfBibliographyType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfBibliographyType
  Returns:
    return the constant of OdfBibliographyType, see text:bibliography-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.